Subject: Ticket Assigned - Order Complaints
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 12 Dec 2021 16:47:27 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order Complaints Dear Support Team,
I am writing this email with great disappointment regarding my orders, details of which are outlined below.
9513070486 - This order has been placed on 16/11/21 and until the time of writing I have not received my delivery. No action to resolve this has been taken by you despite repeated phone calls to enquire on the status. Whenever I call Centrepoint to follow up, I am being told that action will be taken, however nothing has been done yet. I have even checked with Fodel and to my surprise, they informed me that the order is still with Centrepoint yet to be dispatched and even showed their disappointment towards Centrepoint.
9512298141 - Until the time of writing, the refund of the returned items has not been processed despite being told the items are already in the Centrepoint warehouse. The items have been collected from me on 17/11/21. All I am being told is that it is under process.

It is my right as a customer to be given correct information about my requests. I have lost my patience with Centrepoint for their negligience in these matters and I have raised a complaint with DED Consumer Rights to intervene.

Regards,
Irfan Ratani+971504575099
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3548291